//
//  GLSmartFileTree.h
//  GLGPSKit
//
//  Created by Jeffrey Early on 2/24/09.
//  Copyright 2009 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/************************************************/
/*		GLSmartFileTree							*/
/************************************************/

#pragma mark -
#pragma mark GLSmartFileTree
#pragma mark

@interface GLSmartFileTree : NSObject {
	NSMutableArray *children;
	BOOL isExpanded;
}

@property(nonatomic, strong, readonly) NSMutableArray *children;
@property(nonatomic, strong, readonly) NSString *name;
@property(nonatomic, readonly) BOOL isLeaf;
@property(nonatomic, readonly) BOOL isHeader;
@property(nonatomic, readonly) BOOL shouldDisplayDisclosureTriangle;
@property(nonatomic) BOOL isExpanded;

@property(nonatomic, readonly) BOOL shouldRefreshTracksAndWaypoints;
- (NSPredicate *) trackPredicate;
- (NSPredicate *) waypointPredicate;

@end


/************************************************/
/*		GLSmartFile								*/
/************************************************/

#pragma mark -
#pragma mark GLSmartFile
#pragma mark

@interface GLSmartFile : NSObject
{
	NSString *name;
	NSPredicate *trackPredicate;
	NSPredicate *waypointPredicate;
}

@property(copy) NSString *name;
@property(nonatomic, readonly) BOOL isLeaf;
@property(nonatomic, readonly) BOOL isHeader;
@property(nonatomic, readonly) BOOL isExpanded;

@property(readonly) BOOL shouldRefreshTracksAndWaypoints;
@property(strong) NSPredicate *trackPredicate;
@property(strong) NSPredicate *waypointPredicate;

@end

/************************************************/
/*		GLSmartRecentImportsFile				*/
/************************************************/

#pragma mark -
#pragma mark GLSmartRecentImportsFile
#pragma mark

@interface GLSmartRecentImportsFile : GLSmartFile

@end