//
//  GLGeodesicGeometry.h
//  GLGeometryKit
//
//  Created by Jeffrey Early on 3/10/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <GLGeometryKit/GLMultiPointGeometry.h>

@interface GLGeodesicGeometry : GLMultiPointGeometry

/************************************************/
/*		Object Initialization					*/
/************************************************/

#pragma mark -
#pragma mark Object Initialization
#pragma mark

// Returns multipoint with at least points, and an *approximate* distance between points set by resolution.
// 1000 meters seems to be a good resolution.
// We're arguing here that we only need to compute a point every 1 kilometer in order to capture the curvature of a geodesic.
// Tested this from Prudhoe Bay to Kaktovik, and found that 10 km was too coarse, and 100 meters offered no benefit.

- (GLGeodesicGeometry *) initWithStart: (GLPoint) start end: (GLPoint) end resolution: (double) resolution;

@end
