/*
 *  GLSpatialObjectControllerBase.h
 *  GLMapKit
 *
 *  Created by Jeffrey Early on 10/12/06.
 *  Copyright 2006 Early Innovation. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

// The basic protocol that GLMapKit requires for a controller.
// Note that the difference between the 'Base' protocol and the full GLSpatialObjectController
// protocol is that the full protocol is what actualy GeoLife plugins are required to be a plugin.

@protocol GLSpatialObjectControllerBase

// This must return an NSArray of spatial objects that will be displayed
// on the MapView. The objects returned conform to the GLSpatialObject protocol
- (NSArray *) spatialObjects;

// Returns spatial objects within the bounds
//- (NSArray *) spatialObjectsWithFilter: (GLGeometry *) mapViewBounds;

// Returns the indexes of the selected objects
- (NSIndexSet *) spatialObjectSelectionIndexes;
- (void) setSpatialObjectSelectionIndexes: (NSIndexSet *) indexSet;

- (BOOL) removeSelectedSpatialObjects: (NSArray *) objects;
- (BOOL) addSelectedSpatialObjects: (NSArray *) objects;

@end

